Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_binding_t Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | env
VALUE | path
VALUE | blockprocval
unsigned short | first_lineno

## Detailed Description

Definition at line 726 of file vm_core.h.

## Field Documentation

VALUE rb_binding_t::blockprocval

Definition at line 729 of file vm_core.h.

Referenced by binding_dup(), binding_mark(), proc_binding(), rb_binding_add_dynavars(), and rb_vm_make_binding().

VALUE rb_binding_t::env

Definition at line 727 of file vm_core.h.

Referenced by bind_local_variable_defined_p(), bind_local_variable_get(), bind_local_variable_set(), binding_dup(), binding_mark(), eval_string_with_cref(), proc_binding(), rb_binding_add_dynavars(), rb_vm_make_binding(), toplevel_context(), and vm_set_main_stack().

unsigned short rb_binding_t::first_lineno

Definition at line 730 of file vm_core.h.

Referenced by binding_dup(), eval_string_with_cref(), proc_binding(), and rb_vm_make_binding().

VALUE rb_binding_t::path

Definition at line 728 of file vm_core.h.

Referenced by binding_dup(), binding_mark(), eval_string_with_cref(), proc_binding(), rb_binding_add_dynavars(), and rb_vm_make_binding().

The documentation for this struct was generated from the following file:

- vm_core.h